PySCF 1.4 beta (2017-08-22)
---------------------------
* Added
  - Generalized Hartree-Fock (GHF)
  - Second order SCF solver for GHF
  - non-relativistic UHF, UKS g-tensor (with various SOC approximations)
  - non-relativistic UHF, UKS hyperfine coupling
  - SHCI interface to Dice program
  - spin-orbital CISD
  - UCISD and UCISD 1- and 2-RDM
  - Restricted CC2 method
  - Density-fitting CCSD
  - Heat-bath selected CI (HCI) spin-orbital 1- and 2-RDM
  - "scanner" function for HF, DFT and CCSD to simplify energy or
    gradients scanning for systems of different geometry.
  - Interface to pyberny geometry optimizer (geometry optimization for
    RHF, RKS and RCCSD are supported).
* Improved
  - U-CCSD(T) performance
  - Package structure (following "The Hitchhiker's Guide to Python")
  - ECP basis localization in Mulliken pop analysis
  - Changing the CASCI/CASSCF default FCI solver (the default solver will not
    use spin symmetry for singlet state)
  - Supporting remove_linear_dep function to handle basis linear dependence in
    k-point SCF
  - cell.rcut estimation for better integral accuracy
  - Convergence rates of PM localization
  - MP2 and RCISD integral transformation performance
  - Disk usage of CCSD-DIIS
  - Input basis parser to support union basis set (eg mol.basis=(bas1,bas2))
  - SCF initial guess for systems with pseudopotential (or ECP)
  - SCF initial guess for low-dimension PBC systems
* Bugfix
  - wfnsym of FCI solver for Dooh symmetry
  - In CIAH newton solver, the special treatment of negative hessian has
    been revised.
  - import lock which freezes threads for functions running in background


PySCF 1.4 alpha (2017-07-24)
----------------------------
* Added
  - Spinor-GTO evaluator
  - Dirac-Kohn-Sham (LDA functional)
  - EDIIS and ADIIS
  - Periodic CCSD with k-point sampling
  - Periodic EOM-IP-CCSD and EOM-EA-CCSD for single k-point calculation
  - spin-square value (per unit) of KUHF calculation
  - Update interface to fciqmc for standalone executing
  - Routines in fciqmc to read in the spinned one and two RDMs
  - Heat-Bath CI
  - Functions in dmrgci interface to access 3-pdm and 4-pdm
  - Function get_fermi
  - UCCSD lambda equation and 1,2-particle density matrix
  - SCF wfn stability analysis
  - Many-Body van der Waals Interactions (MBD)
  - Second order SCF solver for periodic HF and DFT
  - TDDFT for periodic k-point HF and DFT
  - U-TDHF and U-TDDFT for molecular and crystal systems
  - Many-body dispersion
  - MP2-F12 and F12 basis and F12 RI basis
  - Cartesian GTO (6d 10f) basis in molecular calculations
  - CP2K's HF pseudopotential data
  - Frozen core MP2
  - Molecular electrostatic potential (MEP)
  - CPHF and UCPHF solver
  - Non-relativistic RHF, UHF 4-component UHF spin-spin coupling
  - non-relativistic UHF, 4-component UHF g-tensor (in testing)
  - non-relativistic UHF, 4-component UHF hyperfine coupling (in testing)
  - non-relativistic UHF zero-field splitting (in testing)
* Improved
  - Performance of PBC-Gaussian function evaluator
  - Performance of analytical Fourier transformation for AO product
  - Performance of PBC 3-center integrals
  - Performance of PBC PP local-part integrals
  - Numerical stability associated to OpenMP reduce function
  - Performance of FCI 2-electron contraction function
  - Basis parser for Pople style basis sets
  - Arbitrary problem size in FCI solver
  - Symmetry labels in orbital coefficients
  - Disk usage of integral transformation in MP2
  - Performance of J/K contractions in molecular density fitting code
  - Input geometry parser for ghost atoms
* Bugfix
  - PBC super cell function.  Atoms was missing on the super cell boundary
  - PBC dft atomic grids for low-dimension systems
  - The missing occ-vir blocks of Fock matrix in UCCSD
  - MGGA integration error
* Removed
  - Dependence to joblib library


PySCF 1.3.5 (2017-08-11)
------------------------
* Bugfix
  - The undefined += operation (numpy issue #5241) in CISD and CCSD methods


PySCF 1.3.4 (2017-08-08)
------------------------
* Improvements
  - Handle ghost atom in HF initial guess.
  - Remove special treatments on CIAH negative hessians which often cause convergence problem
  - Memory usage in CISD
  - Proper treatment of ECP/PP in Mulliken pop analysis
* Bugfix
  - For ROHF reference, CCSD function takes UCCSD method.
  - Handle zero beta electrons in UCCSD.
  - Fix bug in FCI solver when system has Dooh symmetry.
  - Fix bug in KUHF gradients which affects newton SCF convergence.
  - Fix bug in gradients of PM localization which affects convergence.
  - Fix "hcore" initial guess for KHF.
  - Fix bug in Mulliken pop analysis caused by wrong overlap matrix for PBC calculations.


PySCF 1.3.3 (2017-07-05)
------------------------
* Bugfix
  - GIAO contributions to the off diagonal part of NMR shielding tensor.
  - Handle zero core electrons in ECP parser.
  - Handle zero occupied orbitals in CCSD module.
  - Handle 1-electron system in UHF.
  - Fix orbital ordering in SCF canonicalization when point group symmetry is used.
  - Fix the missing fov term in UCCSD intermediates.
  - Fix pbc atomic grids for low dimensional system.
  - Avoid negative hessian in second order SCF solver.
  - Fix bug in fci solver when system has cylinder spatial symmetry
  - Fix eval_rho for GGA functional for non-hermitian density matrix


PySCF 1.3.2 (2017-06-05)
------------------------
* Bugfix
  - CCSD frozen core when using AO-driven algorithm
  - DFT UKS orbital hessian
  - PBC gamma-point UHF exxdiv=ewald correction
  - KUHF get_bands function


PySCF 1.3.1 (2017-05-14)
------------------------
* Bugfix
  - CISD output message for multiple roots
  - UHF hessian function in the second order SCF solver
  - Integer overflow in npdot
  - Module import error in PBC second order SCF solver
  - Update makefile due to the bugfix in libcint library


PySCF 1.3 (2017-04-25)
----------------------
* Improved
  - Treatment of auxiliary basis linear dependence in PBC DF/MDF module
  - Cutoff radius in real space lattice summation for better accuracy
  - PBC get_bands to compute the bands of arbitrary input k-points
  - Ewald sum convergence
  - Atomic grids in PBC DFT calculation
* Bugfix
  - Analytical Fourier transformation for non-orthogonal lattice
  - Spinor integral buffer size when kappa!=0
  - AVAS active space when mol.symmetry is enabled
  - Input parser for Gaussian nuclear model
  - Sorting CISD RDM2 in Chemist's ordering
  - runtimeDir in dmrg interface
  - numpy.exp overflow in PBC smearing function
  - The FFT-based MO integrals in compressed format
  - Input parser to handle unicode
  - UHF spin-square function for complex orbitals
  - Setfault in FCI 4-particle transition density matrix
* Removed
  - The cache of PBC AO value on grids
  - Split-fitting MDF module


PySCF 1.3 beta (2017-02-15)
---------------------------
* Added
  - sf-X2C for PBC Hamiltonian
  - Overlap of two CI wavefunctions over different orbital bases
  - EOM-CCSD for user guess, Koopmans' excitations, etc
  - Approximate EOM-CCSD (MBPT2 ground state and partitioned EOM Hbar)
  - AVAS method for constructing mcscf active space
  - Molpro XML file reader and interface to read Molpro orbitals
  - UCCSD
* Improved
  - EOM-EE-RCCSD and EOM-EE-UCCSD performance
  - memory usage of the non-symmetric Davidson solver in EOM-CCSD


PySCF 1.3 alpha-2 (2017-01-04)
------------------------------
* Added
  - Supports for 1D, 2D PBC systems
* Improved
  - Integral transformation for PBC 2-electron integrals
  - CASSCF state-average interface to handle sub-solvers of different spins
  - Numerical stability for Davidson diagonalization solver
  - Numerical stability of FCI contraction function under multithreading environment
  - FCI 2-electron contraction function with point group symmetry
* Bugfix
  - X2C to use custom basis for X matrix


PySCF 1.3 alpha-1 (2016-12-04)
------------------------------
* Added
  - Quantum chemistry ECP for solid
  - AO-direct RCCSD
  - CI coefficients transformation for one-particle basis rotation
  - CIAH second order SCF solver for PBC KRHF and KUHF methods
  - CISD and CISD 1, 2-particle density matrices
  - Selected-CI and Selected-CI 1, 2-particle density matrices
  - Smearing for PBC mean-field calculation
  - PBC density fitting
* Improved
  - Performance of CCSD(T)
  - Change the default kpts mesh (to always include gamma point)
  - PBC repeated images used by lattice summation


PySCF 1.2.3 (2017-04-24)
------------------------
* Bugfix
  - PBC 2e integrals for wrap-around k-points
  - CI coefficients in GAMESS WFN format
  - Input parser for Gaussian nuclear model
  - Density fitting outcore module for user input auxiliary basis


PySCF 1.2.2 (2017-02-15)
------------------------
* Bugfix
  - GTO normalization in molden file
  - multi-threading dgemm


PySCF 1.2.1 (2017-01-26)
------------------------
* Added
  - transition metal BFD basis
  - script to fix dylib library dependence for Mac
* Bugfix
  - active space 1pdm in mc chkfile if natural orbitals are required
  - dmrg example
  - state-average dmrgci interface
  - analytic GTO-PW integral
  - for population analysis when ecp is presented.
  - for mcscf state-specific function to support ground state as the target state
  - get_coulG round-off bug
  - unit cell size estimation for non-orth crystals
  - lib.norm function for complex vector


PySCF 1.2 (2016-11-07)
----------------------


PySCF 1.2 beta (2016-09-13)
---------------------------
* Added
  - State average CASSCF helper function for mixed spin/spatial-symmetry FCI solvers
  - Example for transition dipole momentum
  - U-CCSD (based on spin-orbital formulation)
  - IP/EA/EE-EOM-CCSD
  - Function to dump CASSCF canonical orbitals in molden format
  - Analytical Fourier transformation for AO and AO product
  - Co-iterative augmented hessian (CIAH) orbital optimizer
  - Optimized einsum function using numpy.tensordot function
  - Burkatzi-Filippi-Dolg pseudo potential
  - FCI solver to support integrals which do not have 8-fold symmetry
  - Dual interface to call pyFFTW or numpy.fft
  - Maximum overlap method (MOM) method for SCF method
* Improved
  - Memory usage for MDF method (molecular and PBC systems)
  - PBC AO value evaluation performance
  - Orbitals space symmetrization
  - CASSCF subspace (core, active, external) symmetrization
  - Created X2C object to hold X2C functions and parameters
  - Boys, Edmiston, Pipek-Mezey Localization with general CIAH optimizer
  - PBC integrals to handle ghost atom in PBC calculation
  - Asynchronized IO to overlap integration and IO for ao2mo integral transformation
  - SCF gradients to eliminate the symmetry forbidden matrix elements
  - Fixing orbital ordering for degenerated SCF orbitals
  - Efficiency of transpose_sum function
  - FCIDUMP output format
* Bugfix
  - CASSCF/QMMM interface for the missing term in nuclear repulsion
  - Screening small density for MGGA functionals
  - Molden interface to handle symmetry broken orbitals
  - MP2 density matrix to include HF DM


PySCF 1.2 alpha (2016-8-5)
--------------------------
* Added
  - MDF (mixed density fitting) method for molecule and PBC 2-election integrals
  - GAMESS WFN wirter
  - Periodic boundary condition (PBC) for gamma point RHF, UHF, RKS, UKS
  - PBC RHF, UHF, RKS, UKS with k-point sampling
  - PBC AO integrals
  - PBC MO integral transformation
  - PBC density fitting
  - IC-MPS-PT2
  - DMET decomposition to generate CASSCF active space
  - FCI electron-phonon coupling solver
  - meta-GGA for ground state DFT


Version 1.1 (2016-6-4):
* Improved
  - "unc-" prefix for uncontracted basis in the input
  - linear dependence problem in mcscf.project_init_guess
* Bugfix
  - CCSD(T) rdm
  - CASCI.analyze for multiple CI roots
  - function to write FCIDUMP when system has symmetry


Version 1.1 beta (2016-4-11):
* Added
  - Orbital hessian for SCF Newton solver
  - (maximum overlap method) for Delta SCF
  - determinant overlap
  - Canonicalization flag for Newton solver
* Improved
  - Default density fitting basis for heavy atoms
  - Density fitting MCSCF to allow inputing 3-center integrals
  - Rewriting NEVPT2 interface
  - Mole object serialization with json
  - Orbital energy output format for ROHF
* Bugfix
  - meta-lowdin orthogonalization for high angular memontum basis
  - Orbital occupancy for ROHF with symmetry
  - CASSCF initializing from x2c-UHF
  - ECP accuracy
  - QMMM interface


Version 1.1 alpha-2 (2016-3-8):
* Added
  - CCSD(T) and CCSD(T) gradients
  - General JK contraction function
  - HF Hessian
  - DFT Hessian
  - Function to symmetrize given orbital space
  - General XC functional evaluator (using Libxc or Xcfun)
  - Intrinsic Atomic Orbital (IAO)
* Improved
  - NEVPT interface
  - Default DFT pruning scheme
  - Improving linear dependence issue for X2C module
* Bugfix
  - CCSD density matrix
  - Atomic radii for DFT grids
  - Handling h function for molden
  - Projecting CASSCF initial guess from orbitals of different shape

Version 1.1 alpha-1 (2016-2-8):
* Added
  - CCSD gradients
  - DMRG-NEVPT2 interface
  - DFT gradients
  - TDDFT and TDDFT gradients
  - DFT NMR
  - QM/MM interface
  - Pipek-Mezey localization
  - DF-CASSCF
  - State-specific CASSCF for excited states
  - Stream operations: apply, run, set
  - General basis value evaluator
  - DMRG (Block) examples
* Improved
  - Default DFT grids schemes (grid density, prune etc)


Version 1.0 (2015-10-8):
* 1.0 Release

Version 1.0 rc (2015-9-7):
* Add examples
* Add documents
* Optimize CCSD lambda solver and CCSD density matrix
* Optimize Boys localization.
* Tune CASSCF solver parameters
* Bug fixing for mcscf, localizer, nevpt2 and dft modules

Version 1.0 beta (2015-8-2):
* FCI spin eigen function
* Add state-average CASSCF
* CCSD lambda equation and density matrix

Version 1.0 alpha 2 (2015-7-3):
* Optimize HF J K contraction
* MP2 2 particle density matrix
* Default population analysis with meta-Lowdin orthogonalized AO
* Update FCI to handle more than 23 orbitals
* Multiple roots for FCI solver
* Optimize MCSCF convergence
* FCI/MCSCF wave function symmetry
* Z-matrix input
* Add chkfile_util script to analyze calculation on the fly
* CI determinants overlap
* Fix DIIS bug

Version 1.0-alpha (2015-4-7):
* D{\infty}h and C{\infty}v
* Fix bug in DFT screening functions

Version 0.11 (2015-3-6):
* Remove redundant module fci.direct_ms0
* Update the point group symmetry detect function
* Optimized DFT grids
* NEVPT2 (By S. Guo)
* X2C-1e HF
* Boys localization (By S. Wouters)
* Edmiston-Ruedenberg localization (By S. Wouters)
* Density fitting CASSCF

Version 0.10 (2015-2-4):
* Refactoring:
  - Expose class member functions to module level
  - Rename member function of class Mole,
    xxx_of_atm -> atom_xxx, xxx_of_bas -> bas_xxx
  - Rename scf.hf.scf_cycle to scf.hf.kernel
  - Rename conv_threshold to conv_tol
  - Rename hf.calc_tot_elec_energy to hf.energy_tot
  - Rename hf.set_mo_occ to hf.get_occ
  - unify variable names, mo -> mo_coeff, log -> verbose
  - Include nuclear repulsion in mcscf.e_tot
  - Add tests for most module level functions
  - Define update_casdm for CASSCF
* Add tests, cover ~ 90% of code
* Support molecular geometry string as input for Mole.atom
* Improve density fitting model for non-relativistic SCF
* Add documentation for whole package
* API updates:
  - Remove the first argument (Mole object) in CASSCF/CASCI class initialization
  - Change the return value ordering of function scf.hf.kernel
  - Set default value for the arguments of most class functions
* Removing the default calling of analyze() in kernel functions
* Fix screening bug in ao2mo.outcore for long-range separated molecule
* Add 4pdm

Version 0.9 (2015-1-4):
* Add 2-step FCIQMC-CASSCF, using NECI as FCI solver
* Solve Python 3.x compatibility
* general AO2MO integral transformation
* Add density fitting HF, DF-MP2

Version 0.8 (2014-12-21):
* Support OS X
* MCSCF for triplet
* Add symmetry support for MCSCF
* Add UHF-MCSCF
* Add 2-step DMRGSCF, using Block and CheMPS2 as FCI solver
* Add ROHF

Version 0.7 (2014-11-12):
* Fix memory leaks
* Runtime keywords checking
* Add MP2 density matrix
* Add FCI based on uhf integrals
* Add CCSD

Version 0.6 (2014-10-17):
* Fix bug in dhf
* add future/lo for localized orbital

Version 0.5 (2014-10-01):
* Change basis format
* Remove Cython dependence
* Upgrade dft to use libxc-2.0.0
* Add DFT, FCI, CASSCF, HF-gradients (NR and R), HF-NMR (NR and R)

Version 0.4 (2014-08-17):
* Module "future" for upcoming functions
* One-line command to run QC calculation with pyscf
* Fix bug of AO to MO transformation in OpenMP environment

Version 0.3 (2014-07-03):
* Change import layout

Version 0.2 (2014-05-08):
* Integral transformation

Version 0.1 (2014-05-03):
* Setup pyscf

